Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Views

Get Content Views
GET /contentmodules/{moduleId}/content/{contentId}/views
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/views
Get a list of users that have seen or swiped (read) on a content with contentId in a module with moduleId.
Default sorting is by dateViewed in descending order.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Query String
dateSwiped datetimeoffset Filterable Sortable optional
dateViewed datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"b7ad0b0e-9b8d-4c27-adba-2fd770602119","userId":"89cd4c35-9b16-41fb-b31f-3332c452976e","userUrl":null,"dateSwiped":"2026-10-20T18:59:01.5799587+00:00","dateViewed":"2026-10-20T18:59:01.5799587+00:00"},{"id":"8f7f420a-4750-455c-aeb5-6e79f3d17e93","userId":"ee81c869-b63d-4494-8288-b86e99e13c34","userUrl":null,"dateSwiped":null,"dateViewed":"2026-10-21T18:59:01.5799587+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   dateSwiped datetimeoffset      
   dateViewed datetimeoffset      
   id string / guid      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string